Debian Bug report logs - #660599
No progress or error indication for downloads

version graph

Package: liferea; Maintainer for liferea is David Michael Smith <sidicas2@gmail.com>; Source for liferea is src:liferea.

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Mon, 20 Feb 2012 04:12:01 UTC

Severity: normal

Tags: confirmed

Found in version liferea/1.6.5-1.2

Fixed in versions liferea/1.9, liferea/1.10~rc1-1~exp0

Done: Dmitry Smirnov <onlyjob@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#660599; Package liferea. (Mon, 20 Feb 2012 04:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 20 Feb 2012 04:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: No progress or error indication for downloads
Date: Mon, 20 Feb 2012 04:08:57 +0000
Package: liferea
Version: 1.6.5-1.2+b1
Severity: normal

There is no progress indicator and no error reporting for downloading
of enclosed files.  This can be extremely frustrating if there is any
kind of error.

I understand that Liferea relies on external programs to download
enclosed files, but I think that's an unfortunate choice as there are
perfectly good libraries for doing this.  (Maybe the authors are
afraid of asynchronous network I/O, but it's really not that
difficult.)

I see that there is a choice of external program to use, with the
options including 'gwget' and 'kget'.  It sounds like these might be
GUI programs that would mostly solve this problem, but unfortunately
they aren't packaged for Debian.  If upstream does not want to
reconsider the use of external programs, perhaps you could package one
of these, then make the liferea package recommend it and use it by
default.

Ben.

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages liferea depends on:
ii  gconf2              3.2.3-1
ii  libatk1.0-0         2.2.0-2
ii  libc6               2.13-26
ii  libcairo2           1.10.2-6.2
ii  libdbus-1-3         1.4.18-1
ii  libdbus-glib-1-2    0.98-1
ii  libgconf2-4         3.2.3-1
ii  libgdk-pixbuf2.0-0  2.24.1-1
ii  libglade2-0         1:2.6.4-1
ii  libglib2.0-0        2.30.2-6
ii  libgtk2.0-0         2.24.9-2
ii  libice6             2:1.0.7-2
ii  liblua5.1-0         5.1.4-12
ii  libnm-glib4         0.9.2.0-2
ii  libnotify4          0.7.4-1
ii  libpango1.0-0       1.29.4-2
ii  libsm6              2:1.2.0-2
ii  libsoup2.4-1        2.36.1-1
ii  libsqlite3-0        3.7.10-1
ii  libwebkitgtk-1.0-0  1.6.3-1
ii  libx11-6            2:1.4.4-4
ii  libxml2             2.7.8.dfsg-7
ii  libxslt1.1          1.1.26-8
ii  liferea-data        1.6.5-1.2

Versions of packages liferea recommends:
ii  curl      7.24.0-1
ii  dbus      1.4.18-1
ii  dbus-x11  1.4.18-1
ii  wget      1.13.4-2

Versions of packages liferea suggests:
ii  network-manager  0.9.2.0-2

-- no debconf information




Added tag(s) confirmed. Request was from Moray Allan <moray@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 20:51:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#660599; Package liferea. (Sun, 18 Nov 2012 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 18 Nov 2012 19:12:03 GMT) Full text and rfc822 format available.

Message #12 received at 660599@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 660599@bugs.debian.org
Subject: Re: No progress or error indication for downloads
Date: Sun, 18 Nov 2012 19:09:57 +0000
[Message part 1 (text/plain, inline)]
In version 1.8.6-1, I now see a 'Download finished' or 'Download FAILED'
message in the status bar when wget exits, but this message disappears
almost immediately.  This is an improvement but I don't consider this
issue fixed yet.

Ben.

-- 
Ben Hutchings
A free society is one where it is safe to be unpopular. - Adlai Stevenson
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#660599; Package liferea. (Sun, 18 Nov 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Windolf <lars.lindner@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 18 Nov 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #17 received at 660599@bugs.debian.org (full text, mbox):

From: Lars Windolf <lars.lindner@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>, 660599@bugs.debian.org
Subject: Re: Bug#660599: No progress or error indication for downloads
Date: Sun, 18 Nov 2012 20:14:09 +0100
Am 18.11.2012 20:09, schrieb Ben Hutchings:
> In version 1.8.6-1, I now see a 'Download finished' or 'Download FAILED'
> message in the status bar when wget exits, but this message disappears
> almost immediately.  This is an improvement but I don't consider this
> issue fixed yet.
I fixed this in upstream 1.9 now by removing wget/curl preferences.
It is not only possible to download using GUI download managers
which provider their own progress feedback.

Supported download managers are now:

  * steadyflow (new and very good)
  * gwget
  * kget

Best Regards,
Lars



Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#660599; Package liferea. (Sun, 18 Nov 2012 19:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 18 Nov 2012 19:24:06 GMT) Full text and rfc822 format available.

Message #22 received at 660599@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Lars Windolf <lars.lindner@gmail.com>
Cc: 660599@bugs.debian.org
Subject: Re: Bug#660599: No progress or error indication for downloads
Date: Sun, 18 Nov 2012 19:22:17 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2012-11-18 at 20:14 +0100, Lars Windolf wrote:
> Am 18.11.2012 20:09, schrieb Ben Hutchings:
> > In version 1.8.6-1, I now see a 'Download finished' or 'Download FAILED'
> > message in the status bar when wget exits, but this message disappears
> > almost immediately.  This is an improvement but I don't consider this
> > issue fixed yet.
> I fixed this in upstream 1.9 now by removing wget/curl preferences.
> It is not only possible to download using GUI download managers
> which provider their own progress feedback.
> 
> Supported download managers are now:
> 
>    * steadyflow (new and very good)
>    * gwget
>    * kget

I'm glad to hear that.  I see that steadyflow & kget are packaged for
Debian, whereas when I filed this neither of the GUI options were.

Ben.

-- 
Ben Hutchings
A free society is one where it is safe to be unpopular. - Adlai Stevenson
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#660599; Package liferea. (Tue, 08 Jan 2013 03:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Tue, 08 Jan 2013 03:30:03 GMT) Full text and rfc822 format available.

Message #27 received at 660599@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: 660599@bugs.debian.org, 660599-submitter@bugs.debian.org
Subject: Re: No progress or error indication for downloads
Date: Tue, 08 Jan 2013 11:27:13 +0800
>> There is no progress indicator and no error reporting for downloading
>> of enclosed files.  This can be extremely frustrating if there is any
>> kind of error.

> I fixed this in upstream 1.9 now by removing wget/curl preferences.

Are you able to test the upstream 1.9 version to confirm that this bug 
is fixed in liferea/1.9?


-David Smith




Message sent on to Ben Hutchings <ben@decadent.org.uk>:
Bug#660599. (Tue, 08 Jan 2013 03:30:07 GMT) Full text and rfc822 format available.

Information stored :
Bug#660599; Package liferea. (Tue, 08 Jan 2013 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and filed, but not forwarded. (Tue, 08 Jan 2013 11:21:03 GMT) Full text and rfc822 format available.

Message #35 received at 660599-quiet@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: David Smith <sidicas2@gmail.com>, 660599-quiet@bugs.debian.org
Subject: Re: Bug#660599: No progress or error indication for downloads
Date: Tue, 08 Jan 2013 11:19:53 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2013-01-08 at 11:27 +0800, David Smith wrote:
> >> There is no progress indicator and no error reporting for downloading
> >> of enclosed files.  This can be extremely frustrating if there is any
> >> kind of error.
> 
> > I fixed this in upstream 1.9 now by removing wget/curl preferences.
> 
> Are you able to test the upstream 1.9 version to confirm that this bug 
> is fixed in liferea/1.9?

I'm not using liferea any more and don't intend to test this.

Ben.

-- 
Ben Hutchings
If you seem to know what you are doing, you'll be given more to do.
[signature.asc (application/pgp-signature, inline)]

Marked as fixed in versions liferea/1.9. Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Sun, 17 Mar 2013 04:27:07 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Smirnov <onlyjob@debian.org>:
You have taken responsibility. (Thu, 11 Apr 2013 06:36:18 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Thu, 11 Apr 2013 06:36:18 GMT) Full text and rfc822 format available.

Message #42 received at 660599-close@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: 660599-close@bugs.debian.org
Subject: Bug#660599: fixed in liferea 1.10~rc1-1~exp0
Date: Thu, 11 Apr 2013 06:32:45 +0000
Source: liferea
Source-Version: 1.10~rc1-1~exp0

We believe that the bug you reported is fixed in the latest version of
liferea, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660599@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Smirnov <onlyjob@debian.org> (supplier of updated liferea package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Apr 2013 13:09:30 +1000
Source: liferea
Binary: liferea liferea-data liferea-dbg
Architecture: source amd64 all
Version: 1.10~rc1-1~exp0
Distribution: experimental
Urgency: low
Maintainer: Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>
Changed-By: Dmitry Smirnov <onlyjob@debian.org>
Description: 
 liferea    - news aggregator for online news feeds
 liferea-data - architecture independent data for liferea
 liferea-dbg - liferea debug symbols
Closes: 356460 456283 512108 587555 660599 691997 692007 692863 694863 695697 697324
Changes: 
 liferea (1.10~rc1-1~exp0) experimental; urgency=low
 .
   [ Dmitry Smirnov ]
   * New upstream release [January 2013]
     * Dropped patches (applied-upstream):
       - fix-browser-selections
       - fix-crash-when-dragging-feeds-outside-google-reader
       - fix-crash-when-online-status-changes
       - fix-crash-when-removing-google-reader-folders
       - fix-crash-in-empty-launch-url
   * Dropped patch "libtool-dont-rearange-as-needed" (obsoleted by
     "dh_autoreconf --as-needed").
   * Remaining patches are renamed to end with ".patch".
   * Updated "www-browser.patch".
   * Added backported "fix-preferences.patch" to fix preferences
     dialog (thanks, Emilio).
   * Build with libindicate:
     + "libindicate-gtk3-dev" to Build-Depends.
     + new patch "configure-libindicate.patch" to check for correct
       library version.
   * Build with libnotify:
     + Pass "--enable-libnotify" to configure script.
     + Disabled PIE hardening (incompatible).
   * debian/control:
     - dropped redundant "autotools-dev" from Build-Depends.
     - dropped "${shlibs:Depends}" from (data|dbg) packages.
     - dropped obsolete build-dependencies.
     - dropped "gwget" from Recommends and Breaks ("gwget" was removed
       from Debian).
     - removed unnecessary versioned dependencies.
     + updated package description to remove references to GNOME.
     + alphabetised list of Build-Depends.
     + moved packaging Build-Deps to first line of Build-Depends.
     + Standards to "3.9.4".
     + added myself to Uploaders.
     + added python plugins' dependencies to Depends:
       + gir1.2-peas-1.0,
       + python-gi
     + added new explicit Build-Depends as per upstream requirements:
       + libpango1.0-dev
       + libxml2-dev
   * debian/copyright to copyright-format-1.0 + audit/update.
   * debian/compat to version 9.
   * xz compression for debian source and binary packages.
   * debian/watch is corrected to mangle RC versions in case insensitive
     way and to look for .bz2 and .xz archives (thanks, Barak).
   * Removed "README.source" with instructions how to use `quilt`.
   * Added debian/clean to remove generated files.
   * Lintianisation:
     + added "set -e" to postinit scripts (maintainer-script-without-set-e).
     + updated Vcs fields (vcs-field-not-canonical).
     + added lintian-override for false-positive in .desktop file.
   * debian/rules re-written in dh style:
     - dropped unsupported build options "--enable-gnutls --enable-lua".
     - dropped redundant invocation of "intltool-update -p".
     + increased log verbosity with "--disable-silent-rules".
     + enabled parallel build.
     + debhelper to version 9.
   * Added dh_python2 to handle python plugins' dependencies:
     + added corresponding "python" to Build-Depends and
       "Depends: ${python:Depends}"
       instead of "Recommends: python (>= 2.0)".
   * Fixed invocation of `dh_girepository`;
     added corresponding "gobject-introspection" to Build-Depends.
 .
   [ David M Smith ]
   * New Upstream Release. (Closes: #512108, #692007, #692863, #694863)
   * Item History for navigating recently viewed items.
     (Closes: #356460)
   * Media Player plugin. (Closes: #456283)
   * Support new tt-rss API. (Closes: #697324)
   * Clarified save options. (Closes: #587555)
   * debian/watch:
     - Watch bz2 upstream source.  (Closes: #695697)
   * debian/rules:
     - Removed old compile flags that are no longer available.
     - Added --with gir to dh to handle the typelib.
   * debian/control:
     - Replace obsolete build depends:
       - libgconf2-dev: Replaced with gsettings-desktop-schemas-dev
       - libgtk2.0-dev: Replaced with libgtk-3-dev
       - libwebkitgtk-dev: Replaced with libwebkitgtk-3.0-dev
       - libpeas-dev: Added plugin library
       - libgirepository1.0-dev: Added GObject library
       - Added ${gir:Depends} for typelib
     - Recommend python, gir1.2-gnomekeyring-1.0 and gnome-keyring for
       storing usernames and passwords encrypted.
     - wget, curl downloader support dropped.  Steadyflow added.
       (Closes: #660599)
     - Updated package description. (Closes: #691997)
   * debian/liferea.install:
     - Install schema, typelib, and plugins.
Checksums-Sha1: 
 ae8033ef99582868417ba827175a7d9ddc5d73d9 2450 liferea_1.10~rc1-1~exp0.dsc
 4cf39cd4d5a906c16d9c87b04aaf49f9e246669a 1361780 liferea_1.10~rc1.orig.tar.bz2
 0828f57a4f7a9a5faaff961e31cbaab4eb8c904b 18944 liferea_1.10~rc1-1~exp0.debian.tar.xz
 607656025b2f6df210eac714c786d66979b50d17 181328 liferea_1.10~rc1-1~exp0_amd64.deb
 c17ecf77cacc551342795fc479f5b568532e082d 620416 liferea-data_1.10~rc1-1~exp0_all.deb
 7d860bfd0841902eceeae954db979923319c8209 732680 liferea-dbg_1.10~rc1-1~exp0_amd64.deb
Checksums-Sha256: 
 00bd1ef186e3be70a4750945cde3a22d56cf3ae1852eb2dcfab52171f8cd0a37 2450 liferea_1.10~rc1-1~exp0.dsc
 fe616b3cfde1eb2b1df62175c26a89ac3fe62a9cf054207e1764005f6e3e8c84 1361780 liferea_1.10~rc1.orig.tar.bz2
 ed3ac6c9f5283538b62f21be6cae0ef9e0336b027627dbd331d958317960f429 18944 liferea_1.10~rc1-1~exp0.debian.tar.xz
 bd6f8b5896d4f55807e7f4e87b81df356f6ce5b3fd6086daaac3ce397a9b39c4 181328 liferea_1.10~rc1-1~exp0_amd64.deb
 49a56ec3ccdc80958fa8d709f02524109d6b273d7df7ad18ecf546a7a51bf8aa 620416 liferea-data_1.10~rc1-1~exp0_all.deb
 8b8115dabafa657ae79bddb8e14f6e3da1373a34853a59326b830bf3adda76cb 732680 liferea-dbg_1.10~rc1-1~exp0_amd64.deb
Files: 
 26b3015ac4f6f65819eecca9c5b1192f 2450 web optional liferea_1.10~rc1-1~exp0.dsc
 3e95088c1f9e9b41c34794ec8e946e71 1361780 web optional liferea_1.10~rc1.orig.tar.bz2
 be004475bbcc57404a0c0a97e6bfdce6 18944 web optional liferea_1.10~rc1-1~exp0.debian.tar.xz
 6490443a2f69945b2c2a1cfa3e6c4094 181328 web optional liferea_1.10~rc1-1~exp0_amd64.deb
 5950c7d0d9ae48425fbb0239c4b075ff 620416 web optional liferea-data_1.10~rc1-1~exp0_all.deb
 c9dbcfc36b17fe897c04ec3e74947a1e 732680 debug extra liferea-dbg_1.10~rc1-1~exp0_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRZk1+AAoJEFK2u9lTlo0bVikP/j4jcWBrvbV3oaY+9UL3FIAA
kJbcXS48UAPNOBLgAU8eGTIW1cS30jcs29EX4EH+q0DSfv2teSySAyQ+nZC113OF
XKCnPiO3u7BRHGo2KqkWfFFaEzJQ8KPxx8BNiq+Y1rDoEt+ZEwnEb0own98QeQ5C
3sj3Lu+84JYGpWsxv1Ydbzj/8d03fPdSNh52GEwUcDHw3JdSx2ijc3mYMPcR3JgP
s09CdRXJwv8XTRJWyj+sgjGO9MvjIkuRXW0jTCnKDRaW+UXlZrMSvlcnA6wdOsE8
H57nvnLTCLR/I0RyzMc6lsaC18ZGr+EHDhwyzk1aPDLjgYhqU9j+YEFlehY1zTp6
k6klkIC/1AyDgi6ejuqYZbChJ14rcSEBRNVBs3QzwJt25nW9cRP42QT2dFrcCcBn
P6Lf11Pi2BdDoC29/Wdq24OhOw9XLvCeeRIVO/5UvrOxNsTpeCzh8DbuCQ1Pxw+x
ZJzTXhNxeTTVqSJRXQV+pOVHpDsdlwiycs+FyEs7LB/TciBjf1TwNLVHxq/QV7BF
FEjFSJH7IyfC8EqwpCVq6rt3Wt22kg2Ds/pIrmCTJa7nt6jqG3euoRMcIKGjRRD9
lYIZJy7/nWMNnkewDBuxcagDrmkYpJEDbDFR49iKXY8F9ARdnj5Hslfu1GPdMXc1
g5o/j+PRNjP0unMjSAoX
=CgCZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Oct 2013 07:38:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:33:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.